unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, Spin,
  StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    StringButton: TButton;
    ModuloButton: TButton;
    LastDigitEdit: TEdit;
    TimeEdit: TEdit;
    LastDigitLabel: TLabel;
    TimeLabel: TLabel;
    TestNumberLabel: TLabel;
    IterationsLabel: TLabel;
    TestNumberSpinEdit: TSpinEdit;
    IterationsSpinEdit: TSpinEdit;
    procedure StringButtonClick(Sender: TObject);
    procedure ModuloButtonClick(Sender: TObject);
    procedure LastDigitEditChange(Sender: TObject);
    procedure TimeEditChange(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.StringButtonClick(Sender: TObject);
var
  i: longint;
  lastDigit: char;
  inputString: string;
  startTime, stopTime: TDateTime;
begin
  LastDigitEdit.Text := '';
  TimeEdit.Text := '';
  startTime := now;
  for i := 0 to IterationsSpinEdit.Value do
  begin
    inputString := IntToStr(TestNumberSpinEdit.Value);
    lastDigit := inputString[length(inputString)];
  end;
  LastDigitEdit.Text := lastDigit;
  stopTime := now;
  TimeEdit.Text := TimeToStr(stopTime - startTime);
end;

procedure TForm1.ModuloButtonClick(Sender: TObject);
var
  i: longint;
  lastDigit: integer;
  startTime, stopTime: TDateTime;
begin
  LastDigitEdit.Text := '';
  TimeEdit.Text := '';
  startTime := now;
  for i := 0 to IterationsSpinEdit.Value do
  begin
    lastDigit := TestNumberSpinEdit.Value mod 10;
  end;
  LastDigitEdit.Text := IntToStr(lastDigit);
  stopTime := now;
  TimeEdit.Text := TimeToStr(stopTime - startTime);
end;

procedure TForm1.LastDigitEditChange(Sender: TObject);
begin

end;

procedure TForm1.TimeEditChange(Sender: TObject);
begin

end;

end.

